<?xml version='1.0' encoding='UTF-8'?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!DOCTYPE dataset SYSTEM "../../../../../dtd/squash-tm.10.0.0.dtd">
<dataset>

	<!--  issue lists -->
	<ISSUE_LIST ISSUE_LIST_ID="-1" />
	<ISSUE_LIST ISSUE_LIST_ID="-2" />
	<ISSUE_LIST ISSUE_LIST_ID="-3" />
	<ISSUE_LIST ISSUE_LIST_ID="-4" />
	<ISSUE_LIST ISSUE_LIST_ID="-5" />
	<ISSUE_LIST ISSUE_LIST_ID="-6" />
	<ISSUE_LIST ISSUE_LIST_ID="-7" />
	<ISSUE_LIST ISSUE_LIST_ID="-8" />
	<ISSUE_LIST ISSUE_LIST_ID="-9" />
	<ISSUE_LIST ISSUE_LIST_ID="-10" />



	<!--  projects and libraries -->
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-987"/><TEST_CASE_LIBRARY ATTACHMENT_LIST_ID="-987" TCL_ID="-1"/>
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-988"/><CAMPAIGN_LIBRARY ATTACHMENT_LIST_ID="-988" CL_ID="-1"/>
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-989"/><REQUIREMENT_LIBRARY ATTACHMENT_LIST_ID="-989" RL_ID="-1"/>
  <THIRD_PARTY_SERVER SERVER_ID="-1" NAME="" URL="" CREATED_ON="2010-02-01" CREATED_BY="admin"/>
	<BUGTRACKER BUGTRACKER_ID="-1" KIND="mantis"/>
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-432"/>
	<PROJECT PROJECT_ID="-1" NAME="squashbt" ACTIVE="TRUE" CREATED_BY="groovy" CREATED_ON="2010-01-01"
				CL_ID="-1" TCL_ID="-1" RL_ID="-1" ATTACHMENT_LIST_ID="-432"/>


	<!-- 2 test cases -->
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1" />

	<TEST_CASE_LIBRARY_NODE TCLN_ID="-1" NAME="test case 1" CREATED_ON="2010-02-01" CREATED_BY="DBU" PROJECT_ID="-1" ATTACHMENT_LIST_ID="-1"/>
	<TEST_CASE PREREQUISITE="" TCLN_ID="-1"  UUID="44d63d7e-11dd-44b0-b584-565b6f791fa1" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-123"/>
	<TEST_CASE_LIBRARY_NODE TCLN_ID="-2" NAME="test case 2" CREATED_ON="2010-02-01" CREATED_BY="DBU" PROJECT_ID="-1" ATTACHMENT_LIST_ID="-132"/>
	<TEST_CASE PREREQUISITE="" TCLN_ID="-2"  UUID="44d63d7e-11dd-44b0-b584-565b6f791fa9"/>

	<!--  ONE CAMPAIGN -->
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-2" />
	<CAMPAIGN_LIBRARY_NODE CLN_ID="-1" NAME="Pharos" CREATED_ON="2010-02-01" CREATED_BY="DBU" PROJECT_ID="-1" ATTACHMENT_LIST_ID="-2"	/>
	<CAMPAIGN CLN_ID="-1"  ACTUAL_END_AUTO="FALSE" ACTUAL_START_AUTO="FALSE" ACTUAL_START_DATE="2011-01-01" ACTUAL_END_DATE="2011-01-02" SCHEDULED_START_DATE="2011-01-01" SCHEDULED_END_DATE="2011-01-02"
	/>


	<!-- iteration 1, target test case 1 and 2, belongs to campaign 1 -->
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-3" />




	<ITERATION NAME="ITER - TC1" ITERATION_ID="-1" ACTUAL_END_AUTO="FALSE"
	ACTUAL_START_AUTO="FALSE" ACTUAL_START_DATE="2011-01-01"
	ACTUAL_END_DATE="2011-01-02" SCHEDULED_START_DATE="2011-01-01"
	SCHEDULED_END_DATE="2011-01-02" CREATED_ON="2010-01-01" CREATED_BY="DBU"
	ATTACHMENT_LIST_ID="-3"/>
	<CAMPAIGN_ITERATION CAMPAIGN_ID="-1" ITERATION_ID="-1" ITERATION_ORDER="0"/>


	<ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-1" EXECUTION_STATUS="SUCCESS" TCLN_ID="-1" CREATED_BY="DBU" CREATED_ON="2010-02-01"/>
	<ITEM_TEST_PLAN_LIST ITERATION_ID="-1" ITEM_TEST_PLAN_ID="-1" ITEM_TEST_PLAN_ORDER="0" />

	<ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-2" EXECUTION_STATUS="READY" TCLN_ID="-2" CREATED_BY="DBU" CREATED_ON="2010-02-01"/>
	<ITEM_TEST_PLAN_LIST ITERATION_ID="-1" ITEM_TEST_PLAN_ID="-2" ITEM_TEST_PLAN_ORDER="1" />



	<!-- execution for the test plan 1 -->
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-4" />

	<EXECUTION PREREQUISITE="" EXECUTION_ID="-1" NAME="test case 1" ISSUE_LIST_ID="-1" CREATED_BY="DBU" CREATED_ON="2010-02-01" ATTACHMENT_LIST_ID="-1"/>

	<ITEM_TEST_PLAN_EXECUTION ITEM_TEST_PLAN_ID="-1" EXECUTION_ID="-1" EXECUTION_ORDER="1"/>


	<!--  execution step for the  execution 1 -->
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-5" />

	<EXECUTION_STEP EXECUTION_STEP_ID="-1" EXPECTED_RESULT="should work"
					ACTION="click"  EXECUTION_STATUS="FAILURE" COMMENT="it's bugged"
					CREATED_ON="2010-01-01" CREATED_BY="DBU"
					LAST_EXECUTED_BY="tester" LAST_EXECUTED_ON="2011-04-08 15:01:15.593"
					ATTACHMENT_LIST_ID="-5" ISSUE_LIST_ID="-2" />


	<EXECUTION_EXECUTION_STEPS EXECUTION_ID="-1" EXECUTION_STEP_ID="-1" EXECUTION_STEP_ORDER="0"/>


	<!--  the bugs for execution step 1 of execution 1 now  -->


	<ISSUE ISSUE_ID="-2" REMOTE_ISSUE_ID="-2" ISSUE_LIST_ID="-2" BUGTRACKER_ID="-1"/>
	<ISSUE ISSUE_ID="-4" REMOTE_ISSUE_ID="-4" ISSUE_LIST_ID="-2" BUGTRACKER_ID="-1"/>
	<ISSUE ISSUE_ID="-6" REMOTE_ISSUE_ID="-6" ISSUE_LIST_ID="-2" BUGTRACKER_ID="-1"/>


	<!--  second execution step for the  execution 1 -->


	<EXECUTION_STEP EXECUTION_STEP_ID="-2" EXPECTED_RESULT="should fail"
					ACTION="click"  EXECUTION_STATUS="SUCCESS" COMMENT="it's bugged as expected"
					LAST_EXECUTED_BY="tester" LAST_EXECUTED_ON="2011-04-08 15:01:15.593"
					CREATED_BY="dbu" CREATED_ON="2010-01-01"
					ATTACHMENT_LIST_ID="-5"
					ISSUE_LIST_ID="-3"/>

	<EXECUTION_EXECUTION_STEPS EXECUTION_ID="-1" EXECUTION_STEP_ID="-2" EXECUTION_STEP_ORDER="1"/>


	<!--  the bugs for step 2 of execution 1 now  -->


	<ISSUE ISSUE_ID="-1" REMOTE_ISSUE_ID="-1" ISSUE_LIST_ID="-3" BUGTRACKER_ID="-1"/>
	<ISSUE ISSUE_ID="-3" REMOTE_ISSUE_ID="-3" ISSUE_LIST_ID="-3" BUGTRACKER_ID="-1"/>
	<ISSUE ISSUE_ID="-5" REMOTE_ISSUE_ID="-5" ISSUE_LIST_ID="-3" BUGTRACKER_ID="-1"/>



	<!--  the bugs for the execution 1 itself -->

	<ISSUE ISSUE_ID="-7" REMOTE_ISSUE_ID="-7" ISSUE_LIST_ID="-1" BUGTRACKER_ID="-1"/>
	<ISSUE ISSUE_ID="-8" REMOTE_ISSUE_ID="-8" ISSUE_LIST_ID="-1" BUGTRACKER_ID="-1"/>


</dataset>
